Index: branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Content/CorrelationMatrixContent.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Content/CorrelationMatrixContent.cs	(revision 16558)
+++ branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Content/CorrelationMatrixContent.cs	(revision 16559)
@@ -23,5 +23,5 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HEAL.Fossil;
+using HEAL.Attic;
 using HeuristicLab.Problems.DataAnalysis;
 
Index: branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Content/DataCompletenessChartContent.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Content/DataCompletenessChartContent.cs	(revision 16558)
+++ branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Content/DataCompletenessChartContent.cs	(revision 16559)
@@ -23,5 +23,5 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HEAL.Fossil;
+using HEAL.Attic;
 
 namespace HeuristicLab.DataPreprocessing {
Index: branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Content/DataGridContent.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Content/DataGridContent.cs	(revision 16558)
+++ branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Content/DataGridContent.cs	(revision 16559)
@@ -27,5 +27,5 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
-using HEAL.Fossil;
+using HEAL.Attic;
 using HeuristicLab.Random;
 
Index: branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Content/FilterContent.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Content/FilterContent.cs	(revision 16558)
+++ branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Content/FilterContent.cs	(revision 16559)
@@ -26,5 +26,5 @@
 using HeuristicLab.Core;
 using HeuristicLab.DataPreprocessing.Filter;
-using HEAL.Fossil;
+using HEAL.Attic;
 
 namespace HeuristicLab.DataPreprocessing {
Index: branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Content/HistogramContent.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Content/HistogramContent.cs	(revision 16558)
+++ branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Content/HistogramContent.cs	(revision 16559)
@@ -26,5 +26,5 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HEAL.Fossil;
+using HEAL.Attic;
 
 namespace HeuristicLab.DataPreprocessing {
Index: branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Content/IViewShortcut.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Content/IViewShortcut.cs	(revision 16558)
+++ branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Content/IViewShortcut.cs	(revision 16559)
@@ -21,5 +21,5 @@
 
 using HeuristicLab.Core;
-using HEAL.Fossil;
+using HEAL.Attic;
 
 namespace HeuristicLab.DataPreprocessing {
Index: branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Content/LineChartContent.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Content/LineChartContent.cs	(revision 16558)
+++ branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Content/LineChartContent.cs	(revision 16559)
@@ -23,5 +23,5 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HEAL.Fossil;
+using HEAL.Attic;
 
 namespace HeuristicLab.DataPreprocessing {
Index: branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Content/ManipulationContent.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Content/ManipulationContent.cs	(revision 16558)
+++ branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Content/ManipulationContent.cs	(revision 16559)
@@ -26,5 +26,5 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HEAL.Fossil;
+using HEAL.Attic;
 
 namespace HeuristicLab.DataPreprocessing {
Index: branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Content/MultiScatterPlotContent.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Content/MultiScatterPlotContent.cs	(revision 16558)
+++ branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Content/MultiScatterPlotContent.cs	(revision 16559)
@@ -23,5 +23,5 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HEAL.Fossil;
+using HEAL.Attic;
 
 namespace HeuristicLab.DataPreprocessing {
Index: branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Content/PreprocessingChartContent.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Content/PreprocessingChartContent.cs	(revision 16558)
+++ branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Content/PreprocessingChartContent.cs	(revision 16559)
@@ -29,5 +29,5 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
-using HEAL.Fossil;
+using HEAL.Attic;
 
 namespace HeuristicLab.DataPreprocessing {
Index: branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Content/PreprocessingContent.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Content/PreprocessingContent.cs	(revision 16558)
+++ branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Content/PreprocessingContent.cs	(revision 16559)
@@ -23,5 +23,5 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HEAL.Fossil;
+using HEAL.Attic;
 
 namespace HeuristicLab.DataPreprocessing {
Index: branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Content/ScatterPlotContent.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Content/ScatterPlotContent.cs	(revision 16558)
+++ branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Content/ScatterPlotContent.cs	(revision 16559)
@@ -26,5 +26,5 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HEAL.Fossil;
+using HEAL.Attic;
 using HeuristicLab.Visualization.ChartControlsExtensions;
 
Index: branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Content/SingleScatterPlotContent.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Content/SingleScatterPlotContent.cs	(revision 16558)
+++ branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Content/SingleScatterPlotContent.cs	(revision 16559)
@@ -23,5 +23,5 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HEAL.Fossil;
+using HEAL.Attic;
 
 namespace HeuristicLab.DataPreprocessing {
Index: branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Content/StatisticsContent.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Content/StatisticsContent.cs	(revision 16558)
+++ branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Content/StatisticsContent.cs	(revision 16559)
@@ -23,5 +23,5 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HEAL.Fossil;
+using HEAL.Attic;
 
 namespace HeuristicLab.DataPreprocessing {
Index: branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Content/TransformationContent.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Content/TransformationContent.cs	(revision 16558)
+++ branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Content/TransformationContent.cs	(revision 16559)
@@ -23,5 +23,5 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HEAL.Fossil;
+using HEAL.Attic;
 using HeuristicLab.Problems.DataAnalysis;
 
Index: branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Data/DataPreprocessingChangedEvent.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Data/DataPreprocessingChangedEvent.cs	(revision 16558)
+++ branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Data/DataPreprocessingChangedEvent.cs	(revision 16559)
@@ -21,5 +21,5 @@
 
 using System;
-using HEAL.Fossil;
+using HEAL.Attic;
 
 namespace HeuristicLab.DataPreprocessing {
Index: branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Data/FilteredPreprocessingData.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Data/FilteredPreprocessingData.cs	(revision 16558)
+++ branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Data/FilteredPreprocessingData.cs	(revision 16559)
@@ -26,5 +26,5 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
-using HEAL.Fossil;
+using HEAL.Attic;
 using HeuristicLab.Problems.DataAnalysis;
 
Index: branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Data/IFilteredPreprocessingData.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Data/IFilteredPreprocessingData.cs	(revision 16558)
+++ branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Data/IFilteredPreprocessingData.cs	(revision 16559)
@@ -21,5 +21,5 @@
 
 using System;
-using HEAL.Fossil;
+using HEAL.Attic;
 
 namespace HeuristicLab.DataPreprocessing {
Index: branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Data/IPreprocessingData.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Data/IPreprocessingData.cs	(revision 16558)
+++ branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Data/IPreprocessingData.cs	(revision 16559)
@@ -25,5 +25,5 @@
 using HeuristicLab.Data;
 using HeuristicLab.Problems.DataAnalysis;
-using HEAL.Fossil;
+using HEAL.Attic;
 
 namespace HeuristicLab.DataPreprocessing {
Index: branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Data/PreprocessingData.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Data/PreprocessingData.cs	(revision 16558)
+++ branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Data/PreprocessingData.cs	(revision 16559)
@@ -28,5 +28,5 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
-using HEAL.Fossil;
+using HEAL.Attic;
 using HeuristicLab.Problems.DataAnalysis;
 
Index: branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Filter/ComparisonFilter.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Filter/ComparisonFilter.cs	(revision 16558)
+++ branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Filter/ComparisonFilter.cs	(revision 16559)
@@ -22,5 +22,5 @@
 using System;
 using System.Drawing;
-using HEAL.Fossil;
+using HEAL.Attic;
 using HeuristicLab.Common;
 using HeuristicLab.Common.Resources;
Index: branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Filter/IFilter.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Filter/IFilter.cs	(revision 16558)
+++ branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Filter/IFilter.cs	(revision 16559)
@@ -21,5 +21,5 @@
 
 using HeuristicLab.Core;
-using HEAL.Fossil;
+using HEAL.Attic;
 
 namespace HeuristicLab.DataPreprocessing.Filter {
Index: branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/HeuristicLab.DataPreprocessing-3.4.csproj
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/HeuristicLab.DataPreprocessing-3.4.csproj	(revision 16558)
+++ branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/HeuristicLab.DataPreprocessing-3.4.csproj	(revision 16559)
@@ -76,6 +76,6 @@
       <HintPath>..\..\packages\Google.Protobuf.3.6.1\lib\net45\Google.Protobuf.dll</HintPath>
     </Reference>
-    <Reference Include="HEAL.Fossil, Version=1.0.2.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL">
-      <HintPath>..\..\packages\HEAL.Fossil.1.0.2-pre-03\lib\netstandard2.0\HEAL.Fossil.dll</HintPath>
+    <Reference Include="HEAL.Attic, Version=1.0.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL">
+      <HintPath>..\..\packages\HEAL.Attic.1.0.0-pre01\lib\netstandard2.0\HEAL.Attic.dll</HintPath>
     </Reference>
     <Reference Include="System" />
Index: branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/PreprocessingContext.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/PreprocessingContext.cs	(revision 16558)
+++ branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/PreprocessingContext.cs	(revision 16559)
@@ -25,5 +25,5 @@
 using HeuristicLab.Core;
 using HeuristicLab.Optimization;
-using HEAL.Fossil;
+using HEAL.Attic;
 using HeuristicLab.Problems.DataAnalysis;
 
Index: branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/packages.config
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/packages.config	(revision 16558)
+++ branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/packages.config	(revision 16559)
@@ -2,5 +2,5 @@
 <packages>
   <package id="Google.Protobuf" version="3.6.1" targetFramework="net461" />
-  <package id="HEAL.Fossil" version="1.0.2-pre-03" targetFramework="net461" />
+  <package id="HEAL.Attic" version="1.0.0-pre01" targetFramework="net461" />
   <package id="System.Drawing.Common" version="4.5.1" targetFramework="net461" />
 </packages>
